width = 29.8; // internal width to suit board
height = 40; // height to suit board
wallThk = 1.5;

flangeDepth = 3;
clearance = 0.5;
cornerClearance = wallThk + 0.5;

rotate([0, 180, 0])
    translate([-width/2 - wallThk, -height/2 - wallThk, -wallThk - flangeDepth])
        union() {
            // backplate
            translate([0, 0, flangeDepth])
                cube([width + 2 * wallThk, height + 2 * wallThk, wallThk]);
            // top flange
            translate([wallThk + clearance + cornerClearance,
                wallThk + clearance, 0])
                cube([width - 2 * (clearance + cornerClearance),
                    wallThk, flangeDepth + wallThk]);
            // bottom flange
            translate([wallThk + clearance + cornerClearance,
                height - clearance, 0])
                cube([width - 2 * (clearance + cornerClearance),
                    wallThk, flangeDepth + wallThk]);
            
            // left side flanges
            translate([wallThk + clearance,
                wallThk + clearance + cornerClearance, 0])
                cube([wallThk, 9, flangeDepth + wallThk]);
            
            translate([wallThk + clearance,
                height + wallThk - 9 - clearance - cornerClearance, 0])
                cube([wallThk, 9, flangeDepth + wallThk]);

            // right side flanges
            translate([width - clearance,
                wallThk + clearance + cornerClearance, 0])
                cube([wallThk, 9, flangeDepth + wallThk]);
            
            translate([width - clearance,
                height + wallThk - 9 - clearance - cornerClearance, 0])
                cube([wallThk, 9, flangeDepth + wallThk]);
        }
